/*int listlen (void *base);*/
void Write (void *p, int n);
void Read (void *p, int n);
void readlist (void *base, int size);
int readint (void);
void writelist (void *base, int size);
void writelist2 (void *base, int size, int size2);
void writeint (int i);

void WritePlanetList (void);
void WriteTypeList(void);
void WritePlayerList(void);
void WriteAllyList (alliance * A);
void WriteDefendList (defensive * A);
void WriteGroupList (group *G);
void readmagic (void);
void ReadPlanetList (void);
void ReadTypeList(void);
void ReadPlayerList(void);
void ReadAllyList (alliance * A);
void ReadDefendList (defensive * A);
void ReadGroupList (group *G);
